<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="reporteVentasXProducto" language="groovy" pageWidth="612" pageHeight="792" columnWidth="556" leftMargin="28" rightMargin="28" topMargin="28" bottomMargin="27" uuid="11a92365-c4f5-4806-b1a1-ad327ebfdc78">
	<property name="ireport.zoom" value="2.732053821460338"/>
	<property name="ireport.x" value="513"/>
	<property name="ireport.y" value="20"/>
	<property name="ireport.callouts" value="##Sat Jul 21 10:43:27 CDT 2012"/>
	<parameter name="fechaInicial" class="java.lang.String"/>
	<parameter name="fechaFinal" class="java.lang.String"/>
	<parameter name="fecha" class="java.lang.String"/>
	<parameter name="hora" class="java.lang.String"/>
	<parameter name="usuario" class="java.lang.String"/>
	<parameter name="total" class="java.lang.String"/>
	<queryString>
		<![CDATA[select * from orders where orderid < 10255]]>
	</queryString>
	<field name="cant" class="java.lang.String"/>
	<field name="codigo" class="java.lang.String"/>
	<field name="nombre" class="java.lang.String"/>
	<field name="presentacion" class="java.lang.String"/>
	<field name="tipo" class="java.lang.String"/>
	<field name="importe" class="java.lang.String"/>
	<background>
		<band height="736" splitType="Stretch">
			<image hAlign="Center" vAlign="Middle">
				<reportElement uuid="27c523cd-df0f-4822-976b-902c89e2b894" x="86" y="187" width="384" height="375"/>
				<imageExpression><![CDATA["reports/PMarlen_Logo_MarcaDeAgua.jpg"]]></imageExpression>
			</image>
		</band>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="149" splitType="Stretch">
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="0" y="134" width="78" height="14"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[FECHA FINAL :]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement uuid="0520cc06-b769-4a56-a09c-26bfe0084802" x="78" y="134" width="113" height="14"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fechaFinal}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement uuid="0520cc06-b769-4a56-a09c-26bfe0084802" x="78" y="120" width="113" height="14"/>
				<textElement>
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fechaInicial}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="0" y="120" width="78" height="14"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[FECHA INICAL :]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="7246e319-6bf7-4dab-a711-577688502f41" x="139" y="71" width="274" height="29"/>
				<textElement textAlignment="Center">
					<font size="7"/>
				</textElement>
				<text><![CDATA[CALLE VEINTE DE NOVIEMBRE S/N Col. SAN MATEO TECALCO TÉCAMAC. EDO. DE MÉX. C.P. 55748, TEL. (55)5936-2597]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="7246e319-6bf7-4dab-a711-577688502f41" x="139" y="43" width="279" height="14"/>
				<textElement textAlignment="Center">
					<font size="7"/>
				</textElement>
				<text><![CDATA[R.F.C. : LERU880304NW0]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="7246e319-6bf7-4dab-a711-577688502f41" x="139" y="57" width="279" height="14"/>
				<textElement textAlignment="Center">
					<font size="7"/>
				</textElement>
				<text><![CDATA[Régimen general de Ley de Personas Morales]]></text>
			</staticText>
			<image>
				<reportElement uuid="811c159e-ca6c-4c09-9f2f-53a6b0dda42a" x="152" y="0" width="252" height="30"/>
				<imageExpression><![CDATA["reports/PMarlen_nombre.jpg"]]></imageExpression>
			</image>
			<image hAlign="Center" vAlign="Middle">
				<reportElement uuid="27c523cd-df0f-4822-976b-902c89e2b894" x="8" y="0" width="98" height="85"/>
				<imageExpression><![CDATA["reports/PMarlen_Logo_3.jpg"]]></imageExpression>
			</image>
			<staticText>
				<reportElement uuid="9df5a8cb-79fe-4882-a269-5ad13cec94c2" x="229" y="27" width="99" height="17" forecolor="#000080"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="14" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[S.A. DE C.V.]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="431" y="0" width="47" height="14"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Fecha :]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement uuid="0520cc06-b769-4a56-a09c-26bfe0084802" x="478" y="0" width="78" height="14"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{fecha}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="5b57fb3a-d545-4aa1-afa8-f313c42bcf53" x="86" y="100" width="384" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Reporte de Ventas por Producto]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="431" y="13" width="47" height="14"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Hora :]]></text>
			</staticText>
			<textField isStretchWithOverflow="true">
				<reportElement uuid="0520cc06-b769-4a56-a09c-26bfe0084802" x="478" y="13" width="78" height="14"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{hora}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement uuid="0520cc06-b769-4a56-a09c-26bfe0084802" x="478" y="27" width="78" height="14"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{usuario}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="431" y="27" width="47" height="14"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[Usuario :]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="12" splitType="Stretch">
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="0" y="0" width="30" height="12"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[CANT.]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="162" y="0" width="107" height="12"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[NOMBRE]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="269" y="0" width="154" height="12"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[PRESENTACIÓN]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="30" y="0" width="132" height="12"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[CÓDIGO]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="468" y="0" width="88" height="12"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[IMPORTE]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="423" y="0" width="45" height="12"/>
				<box leftPadding="0">
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="7" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[TIPO]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="12" splitType="Stretch">
			<textField>
				<reportElement uuid="f5ebce7c-d8a1-4832-9127-db0eeaf8d310" x="0" y="0" width="30" height="12"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{cant}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="b10f7b15-2491-45f0-a5a4-cd67e5a2e6a7" x="269" y="0" width="154" height="12"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement verticalAlignment="Middle">
					<font size="7" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{presentacion}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement uuid="41ff0ea2-7f08-4e2d-a735-69e4a18b67dd" x="468" y="0" width="88" height="12"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{importe}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="f5ebce7c-d8a1-4832-9127-db0eeaf8d310" x="162" y="0" width="107" height="12"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nombre}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement uuid="41ff0ea2-7f08-4e2d-a735-69e4a18b67dd" x="30" y="0" width="132" height="12"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement verticalAlignment="Middle">
					<font size="7"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{codigo}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="b10f7b15-2491-45f0-a5a4-cd67e5a2e6a7" x="423" y="0" width="45" height="12"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font size="7" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipo}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="18" splitType="Stretch">
			<line>
				<reportElement uuid="228a99fd-2379-4af8-a1b6-5f2dc8a3a4dc" x="0" y="17" width="556" height="1"/>
				<graphicElement>
					<pen lineWidth="0.25" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField evaluationTime="Report">
				<reportElement uuid="24a40db5-b112-40f3-b0b1-fe640272085a" x="304" y="10" width="28" height="7"/>
				<textElement>
					<font size="5"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="f16cbde2-31be-427f-af13-625c4add8aa1" x="207" y="10" width="97" height="7"/>
				<textElement textAlignment="Right">
					<font size="5"/>
				</textElement>
				<textFieldExpression><![CDATA["PÁGINA "+$V{PAGE_NUMBER}+" DE"]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<lastPageFooter>
		<band height="34">
			<textField isStretchWithOverflow="true">
				<reportElement uuid="0520cc06-b769-4a56-a09c-26bfe0084802" x="468" y="0" width="88" height="14"/>
				<box leftPadding="5" rightPadding="5"/>
				<textElement textAlignment="Right">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{total}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement uuid="6ed43173-89c5-4942-b022-deaf25bafde0" x="403" y="0" width="65" height="14"/>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font size="8" isBold="true" pdfFontName="Helvetica-Bold"/>
				</textElement>
				<text><![CDATA[TOTAL :]]></text>
			</staticText>
			<line>
				<reportElement uuid="228a99fd-2379-4af8-a1b6-5f2dc8a3a4dc" x="0" y="33" width="556" height="1"/>
				<graphicElement>
					<pen lineWidth="0.25" lineStyle="Solid"/>
				</graphicElement>
			</line>
			<textField evaluationTime="Report">
				<reportElement uuid="24a40db5-b112-40f3-b0b1-fe640272085a" x="300" y="26" width="28" height="7"/>
				<textElement>
					<font size="5"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="f16cbde2-31be-427f-af13-625c4add8aa1" x="203" y="26" width="97" height="7"/>
				<textElement textAlignment="Right">
					<font size="5"/>
				</textElement>
				<textFieldExpression><![CDATA["PÁGINA "+$V{PAGE_NUMBER}+" DE"]]></textFieldExpression>
			</textField>
		</band>
	</lastPageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
